%define major		7
%define oname		%{name}

%define libname %mklibname dvbpsi %major
%define develname %mklibname -d dvbpsi

Summary:	A library for decoding and generating MPEG 2 and DVB PSI sections
Name:		libdvbpsi
Version:	0.2.2
Release:	%mkrel 1
License:	GPLv2+
URL:		http://www.videolan.org/libdvbpsi/
Group:		System/Libraries
Source:		http://www.videolan.org/pub/videolan/libdvbpsi/%{version}/%{oname}-%{version}.tar.bz2

%description
libdvbpsi is a simple library designed for decoding and generating
MPEG 2 TS and DVB PSI tables. The important features are:
 * PAT decoder and generator.
 * PMT decoder and generator.

%package -n %{libname}
Summary:	A library for decoding and generating MPEG 2 and DVB PSI sections
Group:		System/Libraries
Provides:	%name

%description -n %{libname}
libdvbpsi is a simple library designed for decoding and generating
MPEG 2 TS and DVB PSI tables. The important features are:
 * PAT decoder and generator.
 * PMT decoder and generator.

%package -n %develname
Summary:	Development tools for programs which will use the libdvbpsi library
Group:		Development/C
Provides:	%name-devel = %version-%release
Requires:	%{libname} = %{version}
Obsoletes: %mklibname -d dvbpsi 4

%description -n %develname
The %{name}-devel package includes the header files and static libraries
necessary for developing programs which will manipulate MPEG 2 and DVB PSI
information using the %{name} library.

If you are going to develop programs which will manipulate MPEG 2 and DVB PSI
information you should install %{name}-devel.  You'll also need to have
the %name package installed.


%prep
%setup -q -n %oname-%version

%build
%configure2_5x --enable-release
%make 

%install
rm -rf %buildroot
%makeinstall

# don't ship .a, .la
find %{buildroot} -name *.a | xargs rm -f
find %{buildroot} -name *.la | xargs rm -f

%clean
rm -rf %buildroot

%files -n %{libname}
%defattr(-,root,root,-)
%doc AUTHORS README COPYING ChangeLog
%{_libdir}/*.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so
%{_includedir}/*
%_libdir/pkgconfig/%name.pc


%changelog

* Fri Nov 04 2011 fwang <fwang> 0.2.2-1.mga2
+ Revision: 162615
- new version 0.2.2

* Thu Sep 08 2011 tv <tv> 0.2.1-1.mga2
+ Revision: 141223
- new release

* Thu Jul 14 2011 fwang <fwang> 0.2.0-1.mga2
+ Revision: 123985
- new version 0.2.0

* Wed Jan 26 2011 ahmad <ahmad> 0.1.7-2.mga1
+ Revision: 40942
- don't ship .a, .la
- drop old/unneeded scriptlets
- imported package libdvbpsi

